#include <nds.h>
#include <maxmod9.h>
#include <nf_lib.h>
#include <stdio.h>
#include "soundbank.h"
#include "soundbank_bin.h"

volatile int frame = 0;

void Initialize()
{
    NF_SetRootFolder("NITROFS");
    NF_Set2D(0, 0);
    NF_InitTiledBgBuffers();
    NF_InitTiledBgSys(0);

    NF_InitSpriteBuffers();
    NF_InitSpriteSys(0);

    NF_LoadSpriteGfx("ui/birdekek", 0, 64, 64);
    NF_LoadSpritePal("ui/birdekek", 0);

    NF_VramSpriteGfx(0, 0, 0, false);
    NF_VramSpritePal(0, 0, 0);

#define SFX_BIRDEKEK 0
}

void Vblank()
{
    frame++;
}

int main(int argc, char** argv)
{
    irqSet(IRQ_VBLANK, Vblank);

    consoleDemoInit();

    Initialize();

    //mmLoadEffect(0);
    //mmEffect(0);

    consoleClear();
    setBrightness(3, 0);

    NF_CreateSprite(0, 0, 0, 0, 64, 64);
	

    for (int i = 0; i < 240; i++)
    {
		NF_SpriteOamSet(0);
        setBrightness(3 - (i / 60), 0);
        swiWaitForVBlank();
		oamUpdate(&oamMain);
    }

    setBrightness(3, 0);

	NF_DeleteSprite(0, 0);

	mmInitDefaultMem((mm_addr)soundbank_bin);
    mmLoad(MOD_MAINTHEME);
    mmStart(MOD_MAINTHEME, MM_PLAY_LOOP);    

    NF_LoadTiledBg("maps/mainscreen", "main_bg", 256, 256);
	

    while (1)
    {		 
        swiWaitForVBlank();
    }

    return 0;
}